Loading...
Searching...
No Matches
dxva_context Struct Reference
libavcodec » Codecs » Hardware Accelerators bridge » DXVA2

This structure is used to provides the necessary configurations and data to the DXVA2 FFmpeg HWAccel implementation. More...

`#include <libavcodec/dxva2.h>`

## Data Fields

IDirectXVideoDecoder * | decoder
| DXVA2 decoder object.
const DXVA2_ConfigPictureDecode * | cfg
| DXVA2 configuration used to create the decoder.
unsigned | surface_count
| The number of surface in the surface array.
LPDIRECT3DSURFACE9 * | surface
| The array of Direct3D surfaces used to create the decoder.
uint64_t | workaround
| A bit field configuring the workarounds needed for using the decoder.
unsigned | report_id
| Private to the FFmpeg AVHWAccel implementation.

## Detailed Description

This structure is used to provides the necessary configurations and data to the DXVA2 FFmpeg HWAccel implementation.

The application must make it available as AVCodecContext.hwaccel_context.

Definition at line 54 of file dxva2.h.

## Field Documentation

## decoder

IDirectXVideoDecoder* dxva_context::decoder

DXVA2 decoder object.

Definition at line 58 of file dxva2.h.

## cfg

const DXVA2_ConfigPictureDecode* dxva_context::cfg

DXVA2 configuration used to create the decoder.

Definition at line 63 of file dxva2.h.

## surface_count

unsigned dxva_context::surface_count

The number of surface in the surface array.

Definition at line 68 of file dxva2.h.

## surface

LPDIRECT3DSURFACE9* dxva_context::surface

The array of Direct3D surfaces used to create the decoder.

Definition at line 73 of file dxva2.h.

## workaround

uint64_t dxva_context::workaround

A bit field configuring the workarounds needed for using the decoder.

Definition at line 78 of file dxva2.h.

## report_id

unsigned dxva_context::report_id

Private to the FFmpeg AVHWAccel implementation.

Definition at line 83 of file dxva2.h.

The documentation for this struct was generated from the following file:

- libavcodec/dxva2.h